This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 468539 - Review Request: sugar-jukebox - Media player activity for Sugar
Review Request: sugar-jukebox - Media player activity for Sugar
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2008-10-25 14:29 EDT by Sebastian Dziallas
Modified: 2010-06-11 00:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 20:23:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bkearney: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OLPC 9013 None None None Never

  None (edit)
Description Sebastian Dziallas 2008-10-25 14:29:30 EDT
Spec URL: http://sdz.fedorapeople.org/rpmbuild/sugar-jukebox.spec
SRPM URL: http://sdz.fedorapeople.org/rpmbuild/sugar-jukebox-3-1.fc10.src.rpm
Description: The jukebox activity is an audio/video player that will play different kind of files bases on the installed gstreamer plugins.
Comment 1 Simon Schampijer 2008-10-29 07:58:18 EDT
I pinged the maintainer for cleaning the permission issues you worked around in the SPEC.
Comment 2 Simon Schampijer 2008-11-12 14:07:25 EST
new sources have been released http://kushaldas.in/tmp/Jukebox-4.tar.bz2
Comment 3 kushaldas@gmail.com 2008-11-14 04:24:40 EST
Please use the latest source http://kushaldas.in/tmp/Jukebox-5.tar.bz2
Comment 4 Sebastian Dziallas 2008-11-14 08:28:54 EST
I updated the files for release 5...

Spec URL: http://sdz.fedorapeople.org/rpmbuild/sugar-jukebox.spec
SRPM URL: http://sdz.fedorapeople.org/rpmbuild/sugar-jukebox-5-1.fc10.src.rpm
Comment 5 Fabian Affolter 2008-11-19 03:43:25 EST
In another review request Marco suggested to check if 'mkdir -p %{buildroot}%{sugaractivitydir}' in the %build section is actually necessary because setup.py takes care of it. 

If you are using 'http://kushaldas.in/tmp/Jukebox-%{version}.tar.bz2' instead of 'http://kushaldas.in/tmp/Jukebox-5.tar.bz2' in Source0 you haven't to take care about this line in the future.
Comment 6 Sebastian Dziallas 2008-11-19 09:24:20 EST
Thanks for the comments! I uploaded a modified version:

Spec URL: http://sdz.fedorapeople.org/rpmbuild/sugar-jukebox.spec
SRPM URL: http://sdz.fedorapeople.org/rpmbuild/sugar-jukebox-5-2.fc10.src.rpm
Comment 7 Bryan Kearney 2008-11-21 08:31:47 EST
  OK - Package name
  OK - License info is accurate
  OK - License tag is correct and licenses are approved
  OK - License files are installed as %doc
  OK - Specfile name
  OK - Specfile is legible
  OK - No prebuilt binaries included
  OK - BuildRoot value (one of the recommended values)
  OK - PreReq not used
  XX - Source md5sum matches upstream
	
	These do not match, and upstream is "hidden". Please
	change to a checkout from source repo.

  OK - No hardcoded pathnames
  OK - Package owns all the files it installs
  OK - 'Requires' create needed unowned directories
  OK - Package builds successfully on i386 and x86_64 (mock)
  OK - BuildRequires sufficient
  OK - File permissions set properly
  OK - Macro usage is consistent
  OK - rpmlint is silent
	Warnings are OK


I have not installed it onto a blank sugar install yet, but have you verified all the imports are in the Requires?
Please resolve the source code and I will re-review.
Comment 8 Bryan Kearney 2008-11-21 10:22:05 EST
I was able to install it, and "run" it. But.. it did not do anything. Is there a way for me to verify it is working?
Comment 9 kushaldas@gmail.com 2008-11-24 04:49:41 EST
Download any song using browse and then play it from journal. Btw, I just found a bug which prevents it playing songs/videos with filename containing spaces or @ signs :(
Comment 10 Bryan Kearney 2008-11-24 09:37:21 EST
Thanks.. seems to be ok. If the comment around the download is fixed I will approve.

-- bk
Comment 11 kushaldas@gmail.com 2008-11-24 12:48:54 EST
Ah, Bryan I am not sure when I can do a new release :(
Can you approve it for now ? Sebastian can update it when I will make the new release.
Comment 12 Bryan Kearney 2008-11-24 12:56:26 EST
Actually..if Sebastian changes it to a checkout script, then I would be good.

-- bk
Comment 13 Sebastian Dziallas 2008-11-24 13:36:04 EST
Okey dokey... sorry for the late reply, but I was a bit busy during the weekend. The new version here now includes a checkout script.

Spec URL: http://sdz.fedorapeople.org/rpmbuild/sugar-jukebox.spec
SRPM URL: http://sdz.fedorapeople.org/rpmbuild/sugar-jukebox-5-3.fc10.src.rpm
Comment 14 Bryan Kearney 2008-11-24 14:13:23 EST
APPROVED

Please follow http://fedoraproject.org/wiki/CVSAdminProcedure and import
the package. Close this bug as RAWHIDE once it's been successfully
imported and built.
Comment 15 Sebastian Dziallas 2008-11-24 15:03:18 EST
New Package CVS Request
=======================
Package Name: sugar-jukebox
Short Description: Media player activity for Sugar
Owners: sdz
Branches: F-9 F-10
InitialCC: kushal
Comment 16 Dennis Gilmore 2008-11-25 11:23:01 EST
CVS Done
Comment 17 Fedora Update System 2008-11-25 13:08:07 EST
sugar-jukebox-5-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sugar-jukebox-5-3.fc10
Comment 18 Fedora Update System 2008-11-26 01:20:22 EST
sugar-jukebox-5-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sugar-jukebox'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/f10/FEDORA-2008-10338
Comment 19 Fedora Update System 2008-12-02 20:23:38 EST
sugar-jukebox-5-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Peter Robinson 2010-06-10 17:10:49 EDT
Package Change Request
======================
Package Name: sugar-jukebox
New Branches: EL-6
Owners: pbrobinson sdz
Comment 21 Kevin Fenzi 2010-06-11 00:40:24 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.